<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Dimensiones PAE : "/>
        <p:separator />
    <h:form rendered="#{!dimensionMB.editMode}">
		<p:commandButton value="Nuevo" action="#{dimensionMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="dimension" var="ent" value="#{dimensionMB.list}" widgetVar="tablaDimension"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Dimensión:" />
	                <p:inputText id="globalFilter" onkeyup="PF('dimension').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.descripcion}" headerText="Dimensión" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>
                 
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{dimensionMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages dimension" action="#{dimensionMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Dimension?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{dimensionMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form rendered="#{dimensionMB.editMode}">
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="nombre" value="Dimensión PAE : " />
                <p:inputText id="nombre" value="#{dimensionMB.instance.descripcion}" label="Dimension" required="true"/>
                <p:message for="nombre" display="icon"/>
           		
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{dimensionMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{dimensionMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
